%define kdeprefix /usr
%define version 0.9.9
%define name klyx

Name: %{name}
Summary: KLyX - a document processor for the K Desktop Environment
Version: %{version}
Release: 2
Source:  ftp://ftp.kde.org/pub/kde/unstable/apps/%{name}-%{version}.tar.bz2
Group: Applications/Publishing
BuildRoot: /var/tmp/rpmbuild_%{name}
Copyright: GPL
Requires: qt >= 1.33 
#Distribution: KDE
#Packager: Jochen Kuepper <jochen@uni-duesseldorf.de>
#Vendor: The KLyX team (Matthias Ettrich, Kalle Dalheimer, and others)

%description
A document processor for the K Desktop Environment that is based
on LyX and uses LaTeX as its background formatting engine.

%description -l it
KLyX  un word processor per il KDE basato su LyX; utilizza LaTeX
come motore di formattazione.

%description -l de
Ein Dokumentenverarbeitungssystem fr den KDE Dsktop basierend auf LyX.
Verwendet LaTeX als Hintergrundsatzsystem.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n klyx-%{version}

%build
export KDEDIR=%{kdeprefix}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT
make -j2 

%install
export KDEDIR=%{kdeprefix}
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip

cd $RPM_BUILD_ROOT
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx/bind 
%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx/clipart
%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx/doc
%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx/examples
%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx/kbd
%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx/layouts
%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx/pics
%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx/templates
%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx/tex
%dir %attr(-,root,root) %{kdeprefix}/share/apps/klyx

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -f $RPM_BUILD_DIR/file.list.%{name}

%changelog
* Wed Jul 14 1999 Peter Soos <sp@osb.hu>
- Adopted to KDE packages in RedHat Linux 6.0
